Bug 198198 - Review Request: ooo2txt - Convert OpenOffice documents to simple text
Review Request: ooo2txt - Convert OpenOffice documents to simple text
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-07-10 09:36 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-15 05:43:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-07-10 09:36:30 EDT
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/ooo2txt-0.0.6-1.src.rpm

ooo2txt converts OpenOffice documents to simple text.

Sadly, it seems that the upstream author has passed away.
Comment 1 Jeffrey C. Ollie 2006-07-10 11:28:32 EDT
Please post the .spec as a separate file.  Having the .spec as a separate file
makes it easier for people to look over the package and make comments without
having to download the whole SRPM.
Comment 2 Patrice Dumas 2006-07-10 11:32:12 EDT
spec file should be here soon:

Having the spec file may be usefull in some cases, but in that
specific case I doubt it given that the spec is simple but there
is no source packaged...
Comment 3 Jason Tibbitts 2006-07-11 11:26:22 EDT
It's always nice to be able to click on the spec to look at it the browser. 
I'll do a quick review in a bit.
Comment 4 Jason Tibbitts 2006-07-11 12:11:33 EDT
* source files match upstream:
   3751eb30189c1d546aa404dff34954fa  LGPL.txt
   9f3c3794ba9ba61f6dc2c3b9465279ae  ooo2txt.006.pl
   1cd6103b0b9c49524438c2f17fede3a9  readme.txt
   ce95a6c73a221041321d9582276a5358  update.txt
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   ooo2txt = 0.0.6-1.fc6
* %check is not present; no test suite upstream.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

Comment 5 Patrice Dumas 2006-07-15 05:43:47 EDT
Thanks, pushed and built.

Note You need to log in before you can comment on or make changes to this bug.